Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366196 - Multiple Finalizing steps are created when executing COCO flow with child commands ending by themselves
Summary: Multiple Finalizing steps are created when executing COCO flow with child com...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Infra
Version: 4.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.1.0-alpha
: 4.1.0
Assignee: Liron Aravot
QA Contact: Lucie Leistnerova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-11 09:41 UTC by Liron Aravot
Modified: 2017-02-01 14:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1367438 (view as bug list)
Environment:
Last Closed: 2017-02-01 14:46:01 UTC
oVirt Team: Infra
rule-engine: ovirt-4.1+
rule-engine: planning_ack+
tnisan: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 62388 master NEW core: AsyncTasks - use persisted context instead of generating one 2016-08-16 15:00:55 UTC

Description Liron Aravot 2016-08-11 09:41:36 UTC
Description of problem:
When executing commands using the COCO infrastructure, we might choose
that those child commands will end by themselves, without the parent executing
their endAction().
On that case, the finalizing step of the job will be created multiple times.

Actual results:
The FINALIZING step is created multiple times

Expected results:
The FINALIZING step should be created once

Additional info:

Comment 1 Liron Aravot 2016-11-28 13:22:06 UTC
Steps to reproduce:
1. Have a 4.1 DC with a host
2. Create a VM with an image disk
3. Create 2 snapshots of the VM that includes the disk
4. Attempt to move the disk
5. Check the tasks sub tab, expand the job and verify that there's one finalizing step for the job (some of the job steps will have finalizing step as well).

Comment 2 Sandro Bonazzola 2016-12-12 13:53:45 UTC
The fix for this issue should be included in oVirt 4.1.0 beta 1 released on December 1st. If not included please move back to modified.

Comment 3 Lucie Leistnerova 2017-02-01 07:13:14 UTC
moving disk has only one finalizing step

verified in ovirt-engine-4.1.0.3-0.1.el7.noarch


Note You need to log in before you can comment on or make changes to this bug.